Get environment
curl --request GET \
--url https://app.kosli.com/api/v2/environments/{org}/{env_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.kosli.com/api/v2/environments/{org}/{env_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.kosli.com/api/v2/environments/{org}/{env_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"org": "<string>",
"name": "<string>",
"type": "<string>",
"description": "<string>",
"last_modified_at": 123,
"include_scaling": true,
"tags": {},
"last_reported_at": 123,
"last_changed_at": 123,
"state": true,
"policies": [
"<string>"
],
"included_environments": [
"<string>"
]
}Get environment
Get an environment for an organization.
GET
/
environments
/
{org}
/
{env_name}
Get environment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Successful Response
Organization which owns the environment
Name for the environment
Type of the report source infrastructure
Description for the environment
Last report modification timestamp
If the environment record scaling events
User-defined tags for the environment
Last report received timestamp
Timestamp of the last change detected in the environment
Compliance state of the environment
List of attached policies to the environment
List of included environments for logical environments
Last modified on June 18, 2026